Index: binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml	(copie de travail)
@@ -22,10 +22,11 @@
       <MinRange>10.0</MinRange>
       <ProjectileSpeed>75.0</ProjectileSpeed>
       <PrepareTime>1200</PrepareTime>
       <RepeatTime>2000</RepeatTime>
       <Spread>1.5</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <BuildingAI>
     <DefaultArrowCount>3</DefaultArrowCount>
     <GarrisonArrowMultiplier>1</GarrisonArrowMultiplier>
Index: binaries/data/mods/public/simulation/templates/template_unit_cavalry_melee.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_cavalry_melee.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_cavalry_melee.xml	(copie de travail)
@@ -9,11 +9,11 @@
       <Hack>13</Hack>
       <Pierce>0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>6.0</MaxRange>
       <RepeatTime>750</RepeatTime>
-      <PreferredClasses datatype="tokens">Siege</PreferredClasses>
+      <PreferredClasses datatype="tokens">Siege Human</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee</VisibleClasses>
     <GenericName>Melee Cavalry</GenericName>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_javelinist.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_javelinist.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_javelinist.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <MinRange>0.0</MinRange>
       <ProjectileSpeed>75.0</ProjectileSpeed>
       <PrepareTime>1250</PrepareTime>
       <RepeatTime>1250</RepeatTime>
       <Spread>1.5</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <Cost>
     <Resources>
       <wood>100</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_spearman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_spearman.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <Hack>12.0</Hack>
       <Pierce>26.0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>5.0</MaxRange>
       <RepeatTime>3500</RepeatTime>
+      <PreferredClasses datatype="tokens">Siege Human</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>100</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_swordsman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_swordsman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_swordsman.xml	(copie de travail)
@@ -9,11 +9,11 @@
       <Hack>13.0</Hack>
       <Pierce>0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>6.0</MaxRange>
       <RepeatTime>750</RepeatTime>
-      <PreferredClasses datatype="tokens">Siege</PreferredClasses>
+      <PreferredClasses datatype="tokens">Siege Human</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>75</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_elephant_melee.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_elephant_melee.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_elephant_melee.xml	(copie de travail)
@@ -5,10 +5,11 @@
       <Hack>20</Hack>
       <Pierce>0</Pierce>
       <Crush>150.0</Crush>
       <MaxRange>8.0</MaxRange>
       <RepeatTime>1500</RepeatTime>
+      <PreferredClasses datatype="tokens">Structure</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee</VisibleClasses>
   </Identity>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_pikeman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_pikeman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_pikeman.xml	(copie de travail)
@@ -16,10 +16,11 @@
           <BonusCavMelee>
             <Classes>Cavalry</Classes>
             <Multiplier>3.0</Multiplier>
           </BonusCavMelee>
       </Bonuses>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>100</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_spearman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_spearman.xml	(copie de travail)
@@ -15,10 +15,11 @@
           <BonusCavMelee>
             <Classes>Cavalry</Classes>
             <Multiplier>3.0</Multiplier>
           </BonusCavMelee>
       </Bonuses>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>100</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_swordsman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_swordsman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_infantry_swordsman.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <Hack>11.0</Hack>
       <Pierce>0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>5.0</MaxRange>
       <RepeatTime>750</RepeatTime>
+      <PreferredClasses datatype="tokens">Human Siege</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>75</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero.xml	(copie de travail)
@@ -3,15 +3,15 @@
   <Armour>
     <Hack>10.0</Hack>
     <Pierce>20.0</Pierce>
     <Crush>15.0</Crush>
   </Armour>
-  <Attack> 
+  <Attack>
     <Capture>
-      <Value>15</Value> 
-      <MaxRange>4</MaxRange> 
-      <RepeatTime>1000</RepeatTime> 
+      <Value>15</Value>
+      <MaxRange>4</MaxRange>
+      <RepeatTime>1000</RepeatTime>
     </Capture> 
   </Attack>
   <Auras datatype="tokens">hero_garrison</Auras>
   <Cost>
     <Population>2</Population>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_archer.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_archer.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_archer.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <MinRange>20.0</MinRange>
       <ProjectileSpeed>75.0</ProjectileSpeed>
       <PrepareTime>1200</PrepareTime>
       <RepeatTime>2000</RepeatTime>
       <Spread>1.5</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <Cost>
     <BuildTime>45</BuildTime>
     <Resources>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_javelinist.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_javelinist.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_javelinist.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <MinRange>0.0</MinRange>
       <ProjectileSpeed>80.0</ProjectileSpeed>
       <PrepareTime>1250</PrepareTime>
       <RepeatTime>1250</RepeatTime>
       <Spread>1.3</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <Cost>
     <BuildTime>45</BuildTime>
     <Resources>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_spearman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_spearman.xml	(copie de travail)
@@ -9,11 +9,11 @@
       <Hack>24.0</Hack>
       <Pierce>52.0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>6.0</MaxRange>
       <RepeatTime>3500</RepeatTime>
-      <PreferredClasses datatype="tokens">Human Siege</PreferredClasses>
+      <PreferredClasses datatype="tokens">Siege Human</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Spear</VisibleClasses>
     <GenericName>Hero Cavalry Spearman</GenericName>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_swordsman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_swordsman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_swordsman.xml	(copie de travail)
@@ -9,11 +9,11 @@
      <Hack>26.0</Hack>
      <Pierce>0.0</Pierce>
      <Crush>0.0</Crush>
      <MaxRange>6.0</MaxRange>
      <RepeatTime>1000</RepeatTime>
-      <PreferredClasses datatype="tokens">Human Siege</PreferredClasses>
+     <PreferredClasses datatype="tokens">Siege Human</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Sword</VisibleClasses>
     <GenericName>Hero Cavalry Swordsman</GenericName>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_elephant_melee.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_elephant_melee.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_elephant_melee.xml	(copie de travail)
@@ -24,10 +24,11 @@
         <BonusGates>
           <Classes>Gates</Classes>
           <Multiplier>1.5</Multiplier>
         </BonusGates>
       </Bonuses>
+      <PreferredClasses datatype="tokens">Structure</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Population>3</Population>
     <BuildTime>60</BuildTime>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_archer.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_archer.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_archer.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <MinRange>0.0</MinRange>
       <ProjectileSpeed>75.0</ProjectileSpeed>
       <PrepareTime>300</PrepareTime>
       <RepeatTime>300</RepeatTime>
       <Spread>1.0</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <Cost>
     <BuildTime>35</BuildTime>
     <Resources>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_javelinist.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_javelinist.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_javelinist.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <MinRange>0.0</MinRange>
       <ProjectileSpeed>50.0</ProjectileSpeed>
       <PrepareTime>1000</PrepareTime>
       <RepeatTime>1000</RepeatTime>
       <Spread>1.0</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <Cost>
     <BuildTime>35</BuildTime>
     <Resources>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_pikeman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_pikeman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_pikeman.xml	(copie de travail)
@@ -16,10 +16,11 @@
         <BonusCavMelee>
           <Classes>Cavalry</Classes>
           <Multiplier>3.0</Multiplier>
         </BonusCavMelee>
       </Bonuses>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Spear Pike</VisibleClasses>
     <GenericName>Hero Pikeman</GenericName>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_spearman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_spearman.xml	(copie de travail)
@@ -15,10 +15,11 @@
         <BonusCavMelee>
           <Classes>Cavalry</Classes>
           <Multiplier>3.0</Multiplier>
         </BonusCavMelee>
       </Bonuses>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Spear</VisibleClasses>
     <GenericName>Hero Spearman</GenericName>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_swordsman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_swordsman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_infantry_swordsman.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <Hack>22.0</Hack>
       <Pierce>0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>5.0</MaxRange>
       <RepeatTime>1000</RepeatTime>
+      <PreferredClasses datatype="tokens">Human Siege</PreferredClasses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Sword</VisibleClasses>
     <GenericName>Hero Swordsman</GenericName>
Index: binaries/data/mods/public/simulation/templates/template_unit_infantry_melee_swordsman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_infantry_melee_swordsman.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_infantry_melee_swordsman.xml	(copie de travail)
@@ -8,10 +8,11 @@
     <Melee>
       <Hack>5.5</Hack>
       <Pierce>0</Pierce>
       <MaxRange>2.0</MaxRange>
       <RepeatTime>750</RepeatTime>
+      <PreferredClasses datatype="tokens">Siege</PreferredClasses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>40</wood>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_ballista.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_ballista.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_ballista.xml	(copie de travail)
@@ -9,10 +9,11 @@
       <MinRange>8.0</MinRange>
       <Spread>2.5</Spread>
       <ProjectileSpeed>300.0</ProjectileSpeed>
       <PrepareTime>5000</PrepareTime>
       <RepeatTime>4000</RepeatTime>
+      <PreferredClasses datatype="tokens">Human Siege</PreferredClasses>
     </Ranged>
   </Attack>
   <Capturable>
     <RegenRate>20</RegenRate>
   </Capturable>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_onager.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_onager.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_onager.xml	(copie de travail)
@@ -17,10 +17,11 @@
         <FriendlyFire>false</FriendlyFire>
         <Hack>0.0</Hack>
         <Pierce>15.0</Pierce>
         <Crush>35.0</Crush>
       </Splash>
+      <PreferredClasses datatype="tokens">Structure</PreferredClasses>
     </Ranged>
   </Attack>
   <Capturable>
     <RegenRate>20</RegenRate>
   </Capturable>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_tower.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_tower.xml	(révision 18740)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_tower.xml	(copie de travail)
@@ -10,11 +10,11 @@
       <ElevationBonus>10</ElevationBonus>
       <ProjectileSpeed>75.0</ProjectileSpeed>
       <PrepareTime>1200</PrepareTime>
       <RepeatTime>2000</RepeatTime>
       <Spread>2.0</Spread>
-      <PreferredClasses datatype="tokens">Structure</PreferredClasses>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
     <Capture>
       <Value>10</Value>
       <MaxRange>8</MaxRange>
       <RepeatTime>1000</RepeatTime>