Index: binaries/data/mods/public/maps/random/amazon.json
===================================================================
--- binaries/data/mods/public/maps/random/amazon.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/amazon.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Amazon",
 		"Script" : "amazon.js",
-		"Description" : "The Amazon River in South America is the largest river by discharge of water in the world, and the longest in length. The Amazon basin is the largest drainage basin in the world, with an area of approximately 7,050,000 square kilometers, and accounts for roughly one-fifth of the world's total river flow.",
+		"Description" : "Players are transported into the tropics to the mouth of the great Amazon, which is arguably the longest and largest river in the world. Will you triumph and take control of this tropical paradise, or will you be trampled into the dust by ruthless and ambitious enemies?",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Preview" : "amazon.png",
 		"CircularMap" : false
 	}
Index: binaries/data/mods/public/maps/random/bahrain.json
===================================================================
--- binaries/data/mods/public/maps/random/bahrain.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/bahrain.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Bahrain",
 		"Script" : "bahrain.js",
-		"Description" : "The Kingdom of Bahrain is an island country situated between Saudia Arabia to the west and Qatar to the east. From the 6th to 3rd century BC, Bahrain was part of the Persian Empire.",
+		"Description" : "Bahrain, centre of the Dilmun civilization which fell in 800BC, it was in turn controlled by Sumerians, Assyrians, Babylonians, Persians and other later peoples. An island country strategically placed in the Sinus Persicus (Persian Gulf) and also centre of pearl trading due to its magnificent pearl fisheries, Bahrain is never left unoccupied for long. But now, with the previous occupants gone, the land prepares for war. Will you be the next Ruler of Bahrain?",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Keywords": ["naval"],
 		"Preview" : "bahrain.png",
 		"CircularMap" : false
Index: binaries/data/mods/public/maps/random/howe_sound.json
===================================================================
--- binaries/data/mods/public/maps/random/howe_sound.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/howe_sound.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Howe Sound",
 		"Script" : "howe_sound.js",
-		"Description" : "Howe Sound is a roughly triangular network of fjords located directly northwest of Vancouver in British Columbia, Canada.",
+		"Description" : "Howe Sound is a roughly triangular network of fjords located directly northwest of present-day Vancouver, on the West Coast of today's Canada. The waters teem with whales and fish, while on land herds of muskox dig through deep snow to get at mushrooms and last summer's roots. Mines and forests also abound in this cold haven.",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Preview" : "howe_sound.png",
 		"CircularMap" : false
 	}
Index: binaries/data/mods/public/maps/random/marmara.json
===================================================================
--- binaries/data/mods/public/maps/random/marmara.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/marmara.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Marmara",
 		"Script" : "marmara.js",
-		"Description" : "The Sea of Marmara connects the Black Sea to the Aegean Sea and separates Turkey into it's European and Asian parts. The ancient city of Troy stood at the western entrance to the sea which became the focal point of the Trojan War.",
+		"Description" : "The Sea of Marmara(Propontis) connects the Black Sea(Pontus Euxinus) to the Aegean Sea, and seperates Asia Minor from Thrace. To the south-west lies the Hellespont(Dardanelles-strait), at the entrance of which the ancient city of Ilium(Troy) once stood. To the north-east lies the Bosporus Thracia(Bosporus-straight) where in time the Greek city of Byzantium would be founded, later to become the capital of the great Byzantine Empire under the new name of Constantinople. Players start on fertile land with adequate resources.",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Preview" : "marmara.png",
 		"CircularMap" : false
 	}
Index: binaries/data/mods/public/maps/random/mediterranean.json
===================================================================
--- binaries/data/mods/public/maps/random/mediterranean.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/mediterranean.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Mediterranean",
 		"Script" : "mediterranean.js",
-		"Description" : "The Mediterranean Sea is a sea connected to the Atlantic Ocean surrounded by the Mediterranean Basin and almost completely enclosed by land: on the north by Southern Europe and Anatolia, on the south by North Africa, and on the east by the Levant. The name Mediterranean is derived from the Latin mediterraneus, meaning 'inland' or 'in the middle of land'.",
+		"Description" : "The Mediterranean, home to the Phoenicians, Greeks, Egyptians and later on Romans who, taking the rudimentary knowledge and principles or organisation from Mesopotamia, forged it into something more, thereby shifting the centre or learning and knowledge to the Mediterranean Coast, and laid the foundations of civilization as we know it today. The Mediterranean Sea is almost completely enclosed by land: on the north by southern Gallia, Italia, Greece (Graecia) and Anatolia, on the east by Syria, on the south by Libya and Mauritania, and on the west by Iberia. The name Mediterranean is derived from Latin, but the Romans themselves preferred the term 'Mare Internum' or even 'Mare Nostrum'.",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Preview" : "mediterranean.png",
 		"CircularMap" : false
 	}
Index: binaries/data/mods/public/maps/random/red_sea.json
===================================================================
--- binaries/data/mods/public/maps/random/red_sea.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/red_sea.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Red Sea",
 		"Script" : "red_sea.js",
-		"Description" : "The Red Sea is a seawater inlet of the Indian Ocean, lying between Africa and Asia and the world's northernmost tropical sea.",
+		"Description" : "Historically, the Red Sea was a sea of many nations. Ideally situated for trade with the Far East, it was coveted by all. Although dry, this land is by no means inhospitable, and is amply provided with all resources.",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Preview" : "red_sea.png",
 		"CircularMap" : false
 	}
Index: binaries/data/mods/public/maps/random/rouen.json
===================================================================
--- binaries/data/mods/public/maps/random/rouen.json	(revision 18731)
+++ binaries/data/mods/public/maps/random/rouen.json	(working copy)
@@ -1,10 +1,10 @@
 {
 	"settings" : {
 		"Name" : "Rouen",
 		"Script" : "rouen.js",
-		"Description" : "Rouen is a city on the River Seine in the north of France and the capital of Normandy. Formerly one of the largest and most prosperous cities of medieval Europe, Rouen was the seat of the Exchequer of Normandy during the Middle Ages. It was one of the capitals of the Anglo-Norman dynasties, which ruled both England and large parts of modern France from the 11th to the 15th centuries.",
+		"Description" : "Players start on the banks of the River Sequana (Seine) in the north of Gaul in the place of the modern-day city of Rouen. Destined to become one of the largest and most prosperous cities of medeival Europe and one of the Anglo-Norman dynasty capitals, Rouen is still a peaceful land - but not for long.",
 		"BaseTerrain" : ["medit_sea_depths"],
 		"BaseHeight" : 1,
 		"Preview" : "rouen.png",
 		"CircularMap" : false
 	}