Index: binaries/data/mods/public/gui/common/gamedescription.js
===================================================================
--- binaries/data/mods/public/gui/common/gamedescription.js	(revisión: 18915)
+++ binaries/data/mods/public/gui/common/gamedescription.js	(copia de trabajo)
@@ -329,3 +329,23 @@
 			title.value
 	})).join("\n");
 }
+
+/** Sets the win/defeat icon to indicate current player's state 
+ * @param {string} state - The current in-game state of the player.
+ * @param {string} imageid - The name of the XML image object to update.
+ */
+function setOutcomeIcon(state, imageid)
+{
+	let image = Engine.GetGUIObjectByName(imageid);
+
+	if (state == "won")
+	{
+		image.sprite = "stretched:session/icons/stances/violent.png";
+		image.tooltip = translate("Victory");
+	}
+	else if (state == "defeated")
+	{
+		image.sprite = "stretched:session/icons/stances/passive.png";
+		image.tooltip = translate("Defeated");
+	}
+}
Index: binaries/data/mods/public/gui/session/diplomacy_window.xml
===================================================================
--- binaries/data/mods/public/gui/session/diplomacy_window.xml	(revisión: 18915)
+++ binaries/data/mods/public/gui/session/diplomacy_window.xml	(copia de trabajo)
@@ -11,7 +11,7 @@
 	</object>
 
 	<object name="diplomacyHeader" size="32 32 100%-32 64">
-		<object name="diplomacyHeaderName" size="0 0 150 100%" type="text" style="DiplomacyText" ghost="true">
+		<object name="diplomacyHeaderName" size="20 0 150 100%" type="text" style="DiplomacyText" ghost="true">
 			<translatableAttribute id="caption">Name</translatableAttribute>
 		</object>
 		<object name="diplomacyHeaderCiv" size="150 0 250 100%" type="text" style="DiplomacyText" ghost="true">
@@ -43,7 +43,8 @@
 	<object size="32 64 100%-32 384">
 		<repeat count="16">
 			<object name="diplomacyPlayer[n]" size="0 0 100% 20" type="image" hidden="false">
-				<object name="diplomacyPlayerName[n]" size="0 0 150 100%" type="text" style="DiplomacyText" ghost="true"/>
+				<object name="diplomacyPlayerOutcome[n]" type="image" size="0 0 25 20"/>
+				<object name="diplomacyPlayerName[n]" size="20 0 150 100%" type="text" style="DiplomacyText" ghost="true"/>
 				<object name="diplomacyPlayerCiv[n]" size="150 0 250 100%" type="text" style="DiplomacyText" ghost="true"/>
 				<object name="diplomacyPlayerTeam[n]" size="250 0 300 100%" type="text" style="DiplomacyText" ghost="true"/>
 				<object name="diplomacyPlayerTheirs[n]" size="300 0 360 100%" type="text" style="DiplomacyText" ghost="true"/>
Index: binaries/data/mods/public/gui/session/menu.js
===================================================================
--- binaries/data/mods/public/gui/session/menu.js	(revisión: 18915)
+++ binaries/data/mods/public/gui/session/menu.js	(copia de trabajo)
@@ -336,6 +336,7 @@
 
 	row.sprite = "color: " + rgbToGuiColor(g_Players[i].color) + " 32";
 
+	setOutcomeIcon(g_Players[i].state, "diplomacyPlayerOutcome["+(i-1)+"]");
 	Engine.GetGUIObjectByName("diplomacyPlayerName["+(i-1)+"]").caption = colorizePlayernameByID(i);
 	Engine.GetGUIObjectByName("diplomacyPlayerCiv["+(i-1)+"]").caption = g_CivData[g_Players[i].civ].Name;
 
Index: binaries/data/mods/public/gui/summary/summary.js
===================================================================
--- binaries/data/mods/public/gui/summary/summary.js	(revisión: 18915)
+++ binaries/data/mods/public/gui/summary/summary.js	(copia de trabajo)
@@ -118,17 +118,7 @@
 		boxSize.right = rowPlayerObjectWidth;
 		rowPlayerObject.size = boxSize;
 
-		let outcome = Engine.GetGUIObjectByName(playerOutcome);
-		if (playerState.state == "won")
-		{
-			outcome.sprite = "stretched:session/icons/stances/violent.png";
-			outcome.tooltip = translate("Victory");
-		}
-		else if (playerState.state == "defeated")
-		{
-			outcome.sprite = "stretched:session/icons/stances/passive.png";
-			outcome.tooltip = translate("Defeated");
-		}
+		setOutcomeIcon(playerState.state, playerOutcome);
 
 		Engine.GetGUIObjectByName(playerNameColumn).caption = g_GameData.sim.playerStates[i+1].name;
 
Index: binaries/data/mods/public/gui/summary/summary.xml
===================================================================
--- binaries/data/mods/public/gui/summary/summary.xml	(revisión: 18915)
+++ binaries/data/mods/public/gui/summary/summary.xml	(copia de trabajo)
@@ -13,6 +13,9 @@
 	<!-- Needs the colors from summary.js -->
 	<script file="gui/summary/layout.js"/>
 
+	<!-- Needs gamedescription to load win/defeat state images -->
+	<script file="gui/common/gamedescription.js"/>
+
 	<object name="summaryWindow"
 		type="image"
 		style="ModernWindow"