Index: binaries/data/mods/public/simulation/templates/structures/mace_wall_turret.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/mace_wall_turret.xml	(nonexistent)
+++ binaries/data/mods/public/simulation/templates/structures/mace_wall_turret.xml	(copie de travail)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="template_structure_defense_wall_turret">
+  <Footprint>
+    <Square width="9.0" depth="9.0"/>
+    <Height>15.0</Height>
+  </Footprint>
+  <Identity>
+    <Civ>mace</Civ>
+    <SpecificName>Pýrgos</SpecificName>
+    <History>Towers were an important part of city fortifications. The defending troops shot arrows at the enemy and poured boiling oil over the assailants.</History>
+  </Identity>
+  <Obstruction>
+    <Static width="7.5" depth="7.5"/>
+  </Obstruction>
+  <VisualActor>
+    <Actor>structures/hellenes/wall_tower.xml</Actor>
+  </VisualActor>
+  <WallPiece>
+    <Length>7.5</Length>
+  </WallPiece>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/template_structure_defense_wall_tower.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_defense_wall_tower.xml	(révision 18838)
+++ binaries/data/mods/public/simulation/templates/template_structure_defense_wall_tower.xml	(copie de travail)
@@ -1,26 +1,7 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_structure_defense">
-  <Attack>
-    <Ranged>
-      <Hack>0.0</Hack>
-      <Pierce>8.0</Pierce>
-      <Crush>0.0</Crush>
-      <MaxRange>72.0</MaxRange>
-      <MinRange>12.0</MinRange>
-      <ProjectileSpeed>75.0</ProjectileSpeed>
-      <PrepareTime>1200</PrepareTime>
-      <RepeatTime>2000</RepeatTime>
-      <Spread>1.5</Spread>
-      <PreferredClasses datatype="tokens">Human</PreferredClasses>
-    </Ranged>
-  </Attack>
-  <BuildingAI>
-    <DefaultArrowCount>0</DefaultArrowCount>
-    <GarrisonArrowMultiplier>1</GarrisonArrowMultiplier>
-    <GarrisonArrowClasses>Infantry</GarrisonArrowClasses>
-  </BuildingAI>
   <BuildRestrictions>
     <PlacementType>land-shore</PlacementType>
     <Category>Wall</Category>
   </BuildRestrictions>
   <Capturable disable=""/>
@@ -32,20 +13,12 @@
   </Cost>
   <Footprint>
     <Square width="6.0" depth="6.0"/>
     <Height>8.0</Height>
   </Footprint>
-  <GarrisonHolder>
-    <Max>2</Max>
-    <EjectHealth>0.1</EjectHealth>
-    <EjectClassesOnDestroy datatype="tokens">Unit</EjectClassesOnDestroy>
-    <List datatype="tokens">Support Infantry</List>
-    <BuffHeal>0</BuffHeal>
-    <LoadingRange>2</LoadingRange>
-  </GarrisonHolder>
   <Health>
-    <Max>4000</Max>
+    <Max>3000</Max>
     <SpawnEntityOnDeath>rubble/rubble_stone_wall_tower</SpawnEntityOnDeath>
   </Health>
   <Identity>
     <GenericName>Wall Turret</GenericName>
     <Tooltip>Shoots arrows. Garrison to defend a city wall against attackers.</Tooltip>
@@ -84,10 +57,23 @@
   <TerritoryInfluence>
     <Root>false</Root>
     <Radius>20</Radius>
     <Weight>65535</Weight>
   </TerritoryInfluence>
+  <Upgrade>
+    <Tower>
+      <Entity>structures/{civ}_wall_turret</Entity>
+      <Tooltip>Reinforce with stone and upgrade to a defense tower.</Tooltip>
+      <RequiredTechnology>phase_town</RequiredTechnology>
+      <CheckPlacementRestrictions/>
+      <Cost>
+        <wood>50</wood>
+        <stone>100</stone>
+      </Cost>
+      <Time>100</Time>
+    </Tower>
+  </Upgrade>
   <Vision>
     <Range>60</Range>
   </Vision>
   <VisualActor>
     <FoundationActor>structures/fndn_2x2.xml</FoundationActor>
Index: binaries/data/mods/public/simulation/templates/template_structure_defense_wall_turret.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_defense_wall_turret.xml	(nonexistent)
+++ binaries/data/mods/public/simulation/templates/template_structure_defense_wall_turret.xml	(copie de travail)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="template_structure_defense_wall_tower">
+  <Attack>
+    <Ranged>
+      <Hack>0.0</Hack>
+      <Pierce>8.0</Pierce>
+      <Crush>0.0</Crush>
+      <MaxRange>72.0</MaxRange>
+      <MinRange>12.0</MinRange>
+      <ProjectileSpeed>75.0</ProjectileSpeed>
+      <PrepareTime>1200</PrepareTime>
+      <RepeatTime>2000</RepeatTime>
+      <Spread>1.5</Spread>
+      <PreferredClasses datatype="tokens">Human</PreferredClasses>
+    </Ranged>
+  </Attack>
+  <BuildingAI>
+    <DefaultArrowCount>0</DefaultArrowCount>
+    <GarrisonArrowMultiplier>1</GarrisonArrowMultiplier>
+    <GarrisonArrowClasses>Infantry</GarrisonArrowClasses>
+  </BuildingAI>
+  <BuildRestrictions>
+    <Distance>
+      <FromClass>WallTurret</FromClass>
+      <MinDistance>60</MinDistance>
+    </Distance>
+  </BuildRestrictions>
+  <GarrisonHolder>
+    <Max>2</Max>
+    <EjectHealth>0.1</EjectHealth>
+    <EjectClassesOnDestroy datatype="tokens">Unit</EjectClassesOnDestroy>
+    <List datatype="tokens">Support Infantry</List>
+    <BuffHeal>0</BuffHeal>
+    <LoadingRange>2</LoadingRange>
+  </GarrisonHolder>
+  <Identity>
+    <Classes datatype="tokens">WallTurret</Classes>
+  </Identity>
+  <Upgrade disable=""/>
+</Entity>