Index: binaries/data/mods/public/art/actors/structures/carthaginians/fndn_defense_tower.xml
===================================================================
--- binaries/data/mods/public/art/actors/structures/carthaginians/fndn_defense_tower.xml	(revision 19042)
+++ binaries/data/mods/public/art/actors/structures/carthaginians/fndn_defense_tower.xml	(working copy)
@@ -4,6 +4,11 @@
   <group>
     <variant frequency="1" name="foundation 3x3 a">
       <mesh>structural/kart_defense_tower_foundation.dae</mesh>
+      <textures>
+        <texture file="structural/kart_struct.dds" name="baseTex"/>
+        <texture file="structural/kart_struct_norm.png" name="normTex"/>
+        <texture file="structural/kart_struct_spec.png" name="specTex"/>
+      </textures>
     </variant>
   </group>
   <group>
@@ -21,14 +26,5 @@
       </props>
     </variant>
   </group>
-  <group>
-    <variant frequency="1">
-      <textures>
-        <texture file="structural/kart_struct.dds" name="baseTex"/>
-        <texture file="structural/kart_struct_norm.png" name="normTex"/>
-        <texture file="structural/kart_struct_spec.png" name="specTex"/>
-      </textures>
-    </variant>
-  </group>
-  <material>player_trans_ao_parallax_spec.xml</material>
+  <material>player_trans_parallax_spec.xml</material>
 </actor>
Index: binaries/data/mods/public/art/actors/structures/carthaginians/fndn_farmstead.xml
===================================================================
--- binaries/data/mods/public/art/actors/structures/carthaginians/fndn_farmstead.xml	(revision 19042)
+++ binaries/data/mods/public/art/actors/structures/carthaginians/fndn_farmstead.xml	(working copy)
@@ -4,6 +4,11 @@
   <group>
     <variant frequency="1" name="foundation 3x3 a">
       <mesh>structural/kart_farmstead_foundation.dae</mesh>
+      <textures>
+        <texture file="structural/kart_struct.dds" name="baseTex"/>
+        <texture file="structural/kart_struct_norm.png" name="normTex"/>
+        <texture file="structural/kart_struct_spec.png" name="specTex"/>
+      </textures>
     </variant>
   </group>
   <group>
@@ -21,12 +26,5 @@
       </props>
     </variant>
   </group>
-  <group>
-    <variant frequency="1">
-      <textures>
-        <texture file="structural/foundation.dds" name="baseTex"/>
-      </textures>
-    </variant>
-  </group>
-  <material>player_trans_ao_parallax_spec.xml</material>
+  <material>player_trans_parallax_spec.xml</material>
 </actor>
Index: binaries/data/mods/public/art/actors/structures/carthaginians/fndn_fortress.xml
===================================================================
--- binaries/data/mods/public/art/actors/structures/carthaginians/fndn_fortress.xml	(revision 19042)
+++ binaries/data/mods/public/art/actors/structures/carthaginians/fndn_fortress.xml	(working copy)
@@ -4,6 +4,11 @@
   <group>
     <variant frequency="1" name="foundation 6x6 a">
       <mesh>structural/kart_fortress_foundation.dae</mesh>
+      <textures>
+        <texture file="structural/kart_struct.dds" name="baseTex"/>
+        <texture file="structural/kart_struct_norm.png" name="normTex"/>
+        <texture file="structural/kart_struct_spec.png" name="specTex"/>
+      </textures>
     </variant>
   </group>
   <group>
@@ -21,14 +26,5 @@
       </props>
     </variant>
   </group>
-  <group>
-    <variant frequency="1">
-      <textures>
-        <texture file="structural/kart_struct.dds" name="baseTex"/>
-        <texture file="structural/kart_struct_norm.png" name="normTex"/>
-        <texture file="structural/kart_struct_spec.png" name="specTex"/>
-      </textures>
-    </variant>
-  </group>
-  <material>player_trans_ao_parallax_spec.xml</material>
+  <material>player_trans_parallax_spec.xml</material>
 </actor>
Index: binaries/data/mods/public/art/actors/structures/carthaginians/fndn_wooden_tower.xml
===================================================================
--- binaries/data/mods/public/art/actors/structures/carthaginians/fndn_wooden_tower.xml	(revision 19042)
+++ binaries/data/mods/public/art/actors/structures/carthaginians/fndn_wooden_tower.xml	(working copy)
@@ -4,6 +4,11 @@
   <group>
     <variant frequency="1" name="foundation 3x3 a">
       <mesh>structural/kart_wooden_tower_foundation.dae</mesh>
+      <textures>
+        <texture file="structural/kart_struct.dds" name="baseTex"/>
+        <texture file="structural/kart_struct_norm.png" name="normTex"/>
+        <texture file="structural/kart_struct_spec.png" name="specTex"/>
+      </textures>
     </variant>
   </group>
   <group>
@@ -21,14 +26,5 @@
       </props>
     </variant>
   </group>
-  <group>
-    <variant frequency="1">
-      <textures>
-        <texture file="structural/kart_struct.dds" name="baseTex"/>
-        <texture file="structural/kart_struct_norm.png" name="normTex"/>
-        <texture file="structural/kart_struct_spec.png" name="specTex"/>
-      </textures>
-    </variant>
-  </group>
-  <material>player_trans_ao_parallax_spec.xml</material>
+  <material>player_trans_parallax_spec.xml</material>
 </actor>