Index: binaries/data/mods/public/art/actors/structures/fndn_4x6.xml
===================================================================
--- binaries/data/mods/public/art/actors/structures/fndn_4x6.xml	(revision 19042)
+++ binaries/data/mods/public/art/actors/structures/fndn_4x6.xml	(working copy)
@@ -2,8 +2,36 @@
 <actor version="1">
   <castshadow/>
   <group>
-    <variant frequency="1" name="foundation 4x6">
+    <variant frequency="100" name="Foundation 4x6">
       <mesh>structural/found_4x6_a.dae</mesh>
+      <props>
+        <prop actor="props/structures/decals/dirt_4x6.xml" attachpoint="root"/>
+        <prop actor="particle/construction_dust.xml" attachpoint="root"/>
+        <prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator002" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator003" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator004" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick.xml" attachpoint="brick001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick.xml" attachpoint="brick002" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick.xml" attachpoint="brick003" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Box.xml" attachpoint="box001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Box.xml" attachpoint="box002" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Box_Pile.xml" attachpoint="boxpile001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Vase.xml" attachpoint="vase001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Vase.xml" attachpoint="vase004" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Vase.xml" attachpoint="vase003" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/handcart_1.xml" attachpoint="handcart001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/wood_pile.xml" attachpoint="woodpile001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/wood_pile.xml" attachpoint="woodpile002" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/wood_pile.xml" attachpoint="woodpile003" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick_Pile2.xml" attachpoint="brickpile001" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick_Pile_Big2.xml" attachpoint="brickpile003" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick_Pile_Big3.xml" attachpoint="brickpile004" maxheight="20" minheight="-20"/>
+        <prop actor="props/special/eyecandy/Brick_Pile_Big3.xml" attachpoint="brickpile005" maxheight="20" minheight="-20"/>
+      </props>
+      <textures>
+        <texture file="structural/foundation.dds" name="baseTex"/>
+      </textures>
     </variant>
   </group>
   <group>
@@ -11,29 +39,6 @@
       <props>
         <prop actor="props/structures/decals/dirt_4x6.xml" attachpoint="root"/>
         <prop actor="particle/construction_dust.xml" attachpoint="root"/>
-		<prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator001" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator002" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator003" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Delimitator.xml" attachpoint="delimitator004" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Brick.xml" attachpoint="brick001" maxheight="20" minheight="-20"/>		
-		<prop actor="props/special/eyecandy/Brick.xml" attachpoint="brick002" maxheight="20" minheight="-20"/>		
-		<prop actor="props/special/eyecandy/Brick.xml" attachpoint="brick003" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Box.xml" attachpoint="box001" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Box.xml" attachpoint="box002" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Box_Pile.xml" attachpoint="boxpile001" maxheight="20" minheight="-20"/>
-		<prop actor="props/special/eyecandy/Vase.xml" attachpoint="vase001" maxheight="20" minheight="-20"/>		
-		<prop actor="props/special/eyecandy/Vase.xml" attachpoint="vase004" maxheight="20" minheight="-20"/>	
-		<prop actor="props/special/eyecandy/Vase.xml" attachpoint="vase003" maxheight="20" minheight="-20"/>		
-		<prop actor="props/special/eyecandy/handcart_1.xml" attachpoint="handcart001" maxheight="20" minheight="-20"/>
-		<prop actor="props/special/eyecandy/wood_pile.xml" attachpoint="woodpile001" maxheight="20" minheight="-20"/>
-		<prop actor="props/special/eyecandy/wood_pile.xml" attachpoint="woodpile002" maxheight="20" minheight="-20"/>
-			<prop actor="props/special/eyecandy/wood_pile.xml" attachpoint="woodpile003" maxheight="20" minheight="-20"/>
-		<prop actor="props/special/eyecandy/Brick_Pile2.xml" attachpoint="brickpile001" maxheight="20" minheight="-20"/>		
-/>		
-		<prop actor="props/special/eyecandy/Brick_Pile_Big2.xml" attachpoint="brickpile003" maxheight="20" minheight="-20"/>		
-		<prop actor="props/special/eyecandy/Brick_Pile_Big3.xml" attachpoint="brickpile004" maxheight="20" minheight="-20"/>
-		<prop actor="props/special/eyecandy/Brick_Pile_Big3.xml" attachpoint="brickpile005" maxheight="20" minheight="-20"/>				
-		
       </props>
     </variant>
     <variant name="scaffold">
@@ -44,9 +49,5 @@
       </props>
     </variant>
   </group>
-  <group>
-    <variant frequency="1">
-      <textures><texture file="structural/foundation.dds" name="baseTex"/></textures>
-    </variant>
-  </group>
+  <material>basic_trans.xml</material>
 </actor>