Index: binaries/data/mods/public/simulation/templates/formations/column_closed.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/formations/column_closed.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/formations/column_closed.xml	(working copy)
@@ -3,10 +3,10 @@
 <Formation>
     <Icon>formations/column_closed.png</Icon>
     <FormationName>Forced March</FormationName>
     <UnitSeparationWidthMultiplier>0.75</UnitSeparationWidthMultiplier>
     <UnitSeparationDepthMultiplier>1.0</UnitSeparationDepthMultiplier>
-	<SpeedMultiplier>1.20</SpeedMultiplier>
+    <SpeedMultiplier>1.20</SpeedMultiplier>
     <MinColumns>3</MinColumns>
     <MaxColumns>3</MaxColumns>
   </Formation>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/formations/phalanx.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/formations/phalanx.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/formations/phalanx.xml	(working copy)
@@ -9,11 +9,11 @@
     <UnitSeparationDepthMultiplier>0.6</UnitSeparationDepthMultiplier>
     <WidthDepthRatio>4</WidthDepthRatio>
     <MinColumns>5</MinColumns>
     <MaxColumns>20</MaxColumns>
     <MaxRows>8</MaxRows>
-	<SpeedMultiplier>0.9</SpeedMultiplier>
+    <SpeedMultiplier>0.9</SpeedMultiplier>
     <Animations>
       <idle>
         1..2,1..-1: phalanx_idle;
         3..4,1..-1: phalanx_idle;
         5..6,1..-1: phalanx_idle_back
Index: binaries/data/mods/public/simulation/templates/formations/syntagma.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/formations/syntagma.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/formations/syntagma.xml	(working copy)
@@ -27,11 +27,11 @@
         1..2,1..-1: syntagma_front_run;
         3..4,1..-1: syntagma_med_run;
         4..8,1..-1: syntagma_back_run
       </run>
     </Animations>  
-	<SpeedMultiplier>0.85</SpeedMultiplier>  
+    <SpeedMultiplier>0.85</SpeedMultiplier>
     <Sloppyness>0.15</Sloppyness>
   </Formation>
   <FormationAttack>
     <CanAttackAsFormation>true</CanAttackAsFormation>
   </FormationAttack>
Index: binaries/data/mods/public/simulation/templates/formations/wedge.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/formations/wedge.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/formations/wedge.xml	(working copy)
@@ -5,11 +5,11 @@
     <RequiredMemberCount>6</RequiredMemberCount>
     <DisabledTooltip>6 cavalry units required</DisabledTooltip>
     <FormationName>Wedge</FormationName>
     <FormationShape>triangle</FormationShape>
     <ShiftRows>true</ShiftRows>
-	<SpeedMultiplier>1.25</SpeedMultiplier>
+    <SpeedMultiplier>1.25</SpeedMultiplier>
     <Sloppyness>0.25</Sloppyness>
     <UnitSeparationWidthMultiplier>1.1</UnitSeparationWidthMultiplier>
     <UnitSeparationDepthMultiplier>1.1</UnitSeparationDepthMultiplier>
   </Formation>
   <FormationAttack>
Index: binaries/data/mods/public/simulation/templates/gaia/fauna_boar.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/gaia/fauna_boar.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/gaia/fauna_boar.xml	(working copy)
@@ -13,11 +13,11 @@
     <Circle radius="1.0"/>
     <Height>3.5</Height>
   </Footprint>
   <Identity>
     <Civ>gaia</Civ>
-	<GenericName>Wild Boar</GenericName>
+    <GenericName>Wild Boar</GenericName>
     <SpecificName>Sus scrofa</SpecificName>
     <Icon>gaia/fauna_boar.png</Icon>
   </Identity>
   <Position>
     <Anchor>pitch</Anchor>
Index: binaries/data/mods/public/simulation/templates/gaia/fauna_peacock.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/gaia/fauna_peacock.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/gaia/fauna_peacock.xml	(working copy)
@@ -9,11 +9,11 @@
   <Health>
     <Max>10</Max>
   </Health>
   <Identity>
     <Civ>gaia</Civ>
-	<GenericName>Peacock</GenericName>
+    <GenericName>Peacock</GenericName>
     <SpecificName>Pavo cristatus</SpecificName>
     <Icon>gaia/fauna_peacock.png</Icon>
   </Identity>
   <ResourceSupply>
     <Amount>50</Amount>
@@ -35,11 +35,11 @@
       <Range>600.0</Range>
       <RangeMin>5.0</RangeMin>
     </Run>
   </UnitMotion>
   <UnitAI>
-	<NaturalBehaviour>domestic</NaturalBehaviour>
+    <NaturalBehaviour>domestic</NaturalBehaviour>
     <RoamDistance>4.0</RoamDistance>
     <FleeDistance>12.0</FleeDistance>
     <RoamTimeMin>2000</RoamTimeMin>
     <RoamTimeMax>8000</RoamTimeMax>
     <FeedTimeMin>10000</FeedTimeMin>
Index: binaries/data/mods/public/simulation/templates/gaia/fauna_pig_flaming.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/gaia/fauna_pig_flaming.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/gaia/fauna_pig_flaming.xml	(working copy)
@@ -13,11 +13,11 @@
       <mediumdamage>0.50</mediumdamage>
       <heavydamage>0.20</heavydamage>
     </DamageVariants>
   </Health>
   <Identity>
-	<GenericName>Flaming Pig</GenericName>
+    <GenericName>Flaming Pig</GenericName>
     <SpecificName>Sus scrofa domesticus igne</SpecificName>
     <Icon>units/flaming_pig.png</Icon>
   </Identity>
   <ResourceSupply disable=""/>
   <Sound>
@@ -33,6 +33,6 @@
   </UnitMotion>
   <Upgrade disable=""/>
   <VisualActor>
     <Actor>fauna/pig_flaming.xml</Actor>
   </VisualActor>
-</Entity>
\ No newline at end of file
+</Entity>

Property changes on: binaries/data/mods/public/simulation/templates/gaia/fauna_pig_flaming.xml
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: binaries/data/mods/public/simulation/templates/structures/rome_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/rome_wonder.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/structures/rome_wonder.xml	(working copy)
@@ -1,10 +1,8 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_structure_wonder">
-  <Auras datatype="tokens">
-    epic_temple_heal
-  </Auras>
+  <Auras datatype="tokens">epic_temple_heal</Auras>
   <Footprint>
     <Square width="46.0" depth="54.0"/>
     <Height>12.0</Height>
   </Footprint>
   <GarrisonHolder>
Index: binaries/data/mods/public/simulation/templates/units/brit_hero_boudicca.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/brit_hero_boudicca.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/units/brit_hero_boudicca.xml	(working copy)
@@ -1,29 +1,20 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_hero_cavalry_javelinist">
-  <Auras datatype="tokens">
-    brit_hero_boudicca
-  </Auras>
+  <Auras datatype="tokens">brit_hero_boudicca</Auras>
   <Footprint replace="">
     <Square width="4.5" depth="9.0"/>
     <Height>5.0</Height>
   </Footprint>
   <Identity>
     <Civ>brit</Civ>
     <VisibleClasses datatype="tokens">Female Chariot</VisibleClasses>
     <GenericName>Boudicca (Chariot)</GenericName>
-	<SpecificName>Boadicea</SpecificName>
-	<Gender>female</Gender>
+    <SpecificName>Boadicea</SpecificName>
+    <Gender>female</Gender>
     <History>Ammianus Marcellinus described how difficult it would be for a band of foreigners to deal with a Celt if he called in the help of his wife. For she was stronger than he was and could rain blows and kicks upon the assailants equal in force to the shots of a catapult. Boudicca, queen of the Iceni, was said to be 'very tall and terrifying in appearance; her voice was very harsh and a great mass of red hair fell over her shoulders. She wore a tunic of many colors over which a thick cloak was fastened by a brooch.</History>
     <Icon>units/celt_hero_boudicca.png</Icon>
   </Identity>
-  <Upgrade>
-    <SwitchToFoot>
-      <Entity>units/brit_hero_boudicca_sword</Entity>
-      <Tooltip>Unmount Boudicca so she can fight with a sword.</Tooltip>
-      <Time>5</Time>
-    </SwitchToFoot>
-  </Upgrade>
   <VisualActor>
     <Actor>units/celts/boudicca_chariot.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/units/brit_hero_boudicca_sword.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/brit_hero_boudicca_sword.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/units/brit_hero_boudicca_sword.xml	(working copy)
@@ -1,28 +1,15 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_hero_infantry_swordsman">
-  <Auras datatype="tokens">
-    brit_hero_boudicca
-  </Auras>
+  <Auras datatype="tokens">brit_hero_boudicca</Auras>
   <Identity>
     <Civ>brit</Civ>
     <GenericName>Boudicca (Sword)</GenericName>
-	<SpecificName>Boadicea</SpecificName>
-	<Gender>female</Gender>
-	<VisibleClasses datatype="tokens">Female Guerilla</VisibleClasses>
+    <SpecificName>Boadicea</SpecificName>
+    <Gender>female</Gender>
     <History>Ammianus Marcellinus described how difficult it would be for a band of foreigners to deal with a Celt if he called in the help of his wife. For she was stronger than he was and could rain blows and kicks upon the assailants equal in force to the shots of a catapult. Boudicca, queen of the Iceni, was said to be 'very tall and terrifying in appearance; her voice was very harsh and a great mass of red hair fell over her shoulders. She wore a tunic of many colors over which a thick cloak was fastened by a brooch.</History>
     <Icon>units/celt_hero_boudicca.png</Icon>
   </Identity>
-  <Upgrade>
-    <SwitchToFoot>
-      <Entity>units/brit_hero_boudicca</Entity>
-      <Tooltip>Mount Boudicca onto her mighty chariot.</Tooltip>
-      <Cost>
-        <wood>10</wood>
-      </Cost>
-      <Time>5</Time>
-    </SwitchToFoot>
-  </Upgrade>
   <VisualActor>
     <Actor>units/celts/boudicca.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/units/ptol_champion_infantry_pikeman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_champion_infantry_pikeman.xml	(revision 19095)
+++ binaries/data/mods/public/simulation/templates/units/ptol_champion_infantry_pikeman.xml	(working copy)
@@ -1,11 +1,11 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_champion_infantry_pikeman">
   <Identity>
     <Civ>ptol</Civ>
-	<Lang>greek</Lang>
-	<GenericName>Royal Guard Infantry</GenericName>
+    <Lang>greek</Lang>
+    <GenericName>Royal Guard Infantry</GenericName>
     <SpecificName>Phalangitès Agema</SpecificName>
     <History>Unlike their rivals the Seleucids, the Ptolemies maintained a relatively small force of full-time soldiers to act as a Royal Guard around the sovereign. These were drawn from the Macedonian and Greek kleruchs, settled in Egypt by the first Ptolemy. This consisted of a lance-armed (xystophoroi) cavalry Royal Guard (possibly Hetairoi) 700 strong; and an infantry Royal Guard (Basilikon Agema) 3,000 strong. The infantry guard were phalangites, though a 1,000 man unit within the Agema may have been able to fight as more traditional hypaspists or as thorakitai (spear or spear-and-javelin armed, fast moving heavy infantry).</History>
     <Icon>units/ptol_champion_infantry.png</Icon>
   </Identity>
   <VisualActor>