Index: binaries/data/mods/public/simulation/templates/template_unit_cavalry.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_cavalry.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_cavalry.xml	(working copy)
@@ -1,107 +1,107 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit">
   <Armour>
     <Hack>3</Hack>
     <Pierce>1</Pierce>
     <Crush>15</Crush>
   </Armour>
   <Attack>
     <Capture>
       <Value>2</Value>
       <MaxRange>4</MaxRange>
       <RepeatTime>1000</RepeatTime>
       <RestrictedClasses datatype="tokens">Field Palisade SiegeWall StoneWall</RestrictedClasses>
     </Capture>
     <Slaughter>
       <Hack>100.0</Hack>
       <Pierce>0.0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>4.0</MaxRange>
     </Slaughter>
   </Attack>
   <Cost>
     <Population>1</Population>
-    <BuildTime>12</BuildTime>
+    <BuildTime>15</BuildTime>
     <Resources>
       <food>100</food>
     </Resources>
   </Cost>
   <Footprint replace="">
     <Square width="4" depth="6"/>
     <Height>7.5</Height>
   </Footprint>
   <Health>
-    <Max>160</Max>
+    <Max>150</Max>
   </Health>
   <Identity>
     <Classes datatype="tokens">CitizenSoldier Human Organic</Classes>
     <VisibleClasses datatype="tokens">Cavalry Citizen Soldier</VisibleClasses>
     <GenericName>Cavalry</GenericName>
     <Rank>Basic</Rank>
     <Formations datatype="tokens">
       special/formations/wedge
     </Formations>
   </Identity>
   <Loot>
     <xp>130</xp>
     <food>10</food>
     <wood>5</wood>
     <stone>0</stone>
     <metal>0</metal>
   </Loot>
   <Position>
     <Anchor>pitch</Anchor>
   </Position>
   <Promotion>
     <RequiredXp>150</RequiredXp>
   </Promotion>
   <ResourceGatherer>
     <MaxDistance>2.0</MaxDistance>
     <BaseSpeed>1.0</BaseSpeed>
     <Rates>
       <food.meat>5</food.meat>
     </Rates>
     <Capacities>
       <food>20</food>
       <wood>20</wood>
       <stone>20</stone>
       <metal>20</metal>
     </Capacities>
   </ResourceGatherer>
   <Selectable>
     <Overlay>
       <Texture>
         <MainTexture>circle/128x128.png</MainTexture>
         <MainTextureMask>circle/128x128_mask.png</MainTextureMask>
       </Texture>
     </Overlay>
   </Selectable>
   <Sound>
     <SoundGroups>
       <select>voice/{lang}/civ/civ_{gender}_select.xml</select>
       <order_walk>voice/{lang}/civ/civ_{gender}_walk.xml</order_walk>
       <order_attack>voice/{lang}/civ/civ_{gender}_attack.xml</order_attack>
       <order_gather>voice/{lang}/civ/civ_{gender}_gather.xml</order_gather>
       <order_garrison>voice/{lang}/civ/civ_{gender}_garrison.xml</order_garrison>
       <walk>actor/mounted/movement/walk.xml</walk>
       <run>actor/mounted/movement/walk.xml</run>
       <attack_impact_ranged>attack/impact/arrow_metal.xml</attack_impact_ranged>
       <attack_melee>attack/weapon/sword.xml</attack_melee>
       <attack_ranged>attack/weapon/arrowfly.xml</attack_ranged>
       <death>actor/fauna/death/death_horse.xml</death>
       <trained>interface/alarm/alarm_create_cav.xml</trained>
     </SoundGroups>
   </Sound>
   <StatusBars>
     <HeightOffset>6.5</HeightOffset>
   </StatusBars>
   <UnitMotion>
     <WalkSpeed op="mul">1.95</WalkSpeed>
     <Run>
       <Speed op="mul">1.95</Speed>
     </Run>
   </UnitMotion>
   <Vision>
     <Range>92</Range>
   </Vision>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/template_unit_cavalry_melee_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_cavalry_melee_spearman.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_cavalry_melee_spearman.xml	(working copy)
@@ -1,25 +1,31 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_cavalry_melee">
   <Attack>
     <Melee>
       <Hack>6.0</Hack>
       <Pierce>13.0</Pierce>
-      <RepeatTime>3500</RepeatTime>
+      <RepeatTime>3000</RepeatTime>
+      <Bonuses>
+          <BonusCavMelee>
+            <Classes>Cavalry</Classes>
+            <Multiplier>1.25</Multiplier>
+          </BonusCavMelee>
+      </Bonuses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>50</wood>
     </Resources>
   </Cost>
   <Identity>
     <VisibleClasses datatype="tokens">Spear</VisibleClasses>
     <GenericName>Cavalry Spearman</GenericName>
   </Identity>
   <UnitMotion>
     <WalkSpeed op="mul">1.25</WalkSpeed>
     <Run>
       <Speed op="mul">1.25</Speed>
     </Run>
   </UnitMotion>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/template_unit_cavalry_ranged.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_cavalry_ranged.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_cavalry_ranged.xml	(working copy)
@@ -1,29 +1,29 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_cavalry">
   <Attack>
     <Ranged>
       <Hack>0</Hack>
       <Pierce>9.0</Pierce>
       <Crush>0</Crush>
       <MaxRange>16.0</MaxRange>
       <MinRange>0.0</MinRange>
       <ProjectileSpeed>75.0</ProjectileSpeed>
       <Gravity>9.81</Gravity>
       <PrepareTime>1000</PrepareTime>
       <RepeatTime>1500</RepeatTime>
       <Spread>3.0</Spread>
       <Delay>0</Delay>
       <PreferredClasses datatype="tokens">Human</PreferredClasses>
     </Ranged>
   </Attack>
   <Health>
-    <Max>120</Max>
+    <Max>100</Max>
   </Health>
   <Identity>
     <GenericName>Ranged Cavalry</GenericName>
     <VisibleClasses datatype="tokens">Ranged</VisibleClasses>
     <Formations datatype="tokens">
       special/formations/skirmish
     </Formations>
   </Identity>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/template_unit_cavalry_ranged_javelinist.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_cavalry_ranged_javelinist.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_cavalry_ranged_javelinist.xml	(working copy)
@@ -1,25 +1,25 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_cavalry_ranged">
   <Attack>
     <Ranged>
       <Hack>0</Hack>
       <Pierce>18.0</Pierce>
       <Crush>0</Crush>
       <MaxRange>28.0</MaxRange>
       <MinRange>0.0</MinRange>
       <ProjectileSpeed>62.5</ProjectileSpeed>
       <PrepareTime>750</PrepareTime>
       <RepeatTime>1250</RepeatTime>
-      <Spread>3.0</Spread>
+      <Spread>4.0</Spread>
     </Ranged>
   </Attack>
   <Cost>
     <Resources>
       <wood>50</wood>
     </Resources>
   </Cost>
   <Identity>
     <VisibleClasses datatype="tokens">Javelin</VisibleClasses>
     <GenericName>Cavalry Skirmisher</GenericName>
   </Identity>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry.xml	(working copy)
@@ -1,69 +1,69 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_champion">
   <Armour>
     <Hack>7</Hack>
     <Pierce>5</Pierce>
     <Crush>20</Crush>
   </Armour>
   <Cost>
     <Population>1</Population>
     <BuildTime>40</BuildTime>
     <Resources>
       <food>250</food>
       <wood>0</wood>
       <stone>0</stone>
       <metal>100</metal>
     </Resources>
   </Cost>
   <Footprint>
     <Circle radius="2.5"/>
     <Height>5.0</Height>
   </Footprint>
   <Health>
-    <Max>270</Max>
+    <Max>200</Max>
   </Health>
   <Identity>
     <GenericName>Champion Cavalry</GenericName>
     <VisibleClasses datatype="tokens">Cavalry</VisibleClasses>
     <Formations datatype="tokens">
       special/formations/wedge
     </Formations>
   </Identity>
   <Position>
     <Anchor>pitch</Anchor>
   </Position>
   <Selectable>
     <Overlay>
       <Texture>
         <MainTexture>arrow/256x256.png</MainTexture>
         <MainTextureMask>arrow/256x256_mask.png</MainTextureMask>
       </Texture>
     </Overlay>
   </Selectable>
   <Sound>
     <SoundGroups>
       <select>voice/{lang}/civ/civ_{gender}_select.xml</select>
       <order_walk>voice/{lang}/civ/civ_{gender}_walk.xml</order_walk>
       <order_attack>voice/{lang}/civ/civ_{gender}_attack.xml</order_attack>
       <order_gather>voice/{lang}/civ/civ_{gender}_gather.xml</order_gather>
       <order_garrison>voice/{lang}/civ/civ_{gender}_garrison.xml</order_garrison>
       <walk>actor/mounted/movement/walk.xml</walk>
       <run>actor/mounted/movement/walk.xml</run>
       <attack_melee>attack/weapon/sword.xml</attack_melee>
       <death>actor/fauna/death/death_horse.xml</death>
       <trained>interface/alarm/alarm_create_cav.xml</trained>
     </SoundGroups>
   </Sound>
   <StatusBars>
     <HeightOffset>6.5</HeightOffset>
   </StatusBars>
   <UnitMotion>
     <WalkSpeed op="mul">2.25</WalkSpeed>
     <Run>
       <Speed op="mul">2.25</Speed>
     </Run>
   </UnitMotion>
   <Vision>
     <Range>96</Range>
   </Vision>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_spearman.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_champion_cavalry_spearman.xml	(working copy)
@@ -1,36 +1,42 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_champion_cavalry">
   <Armour>
     <Hack op="add">1</Hack>
     <Pierce op="add">2</Pierce>
   </Armour>
   <Attack>
     <Melee>
       <Hack>12.0</Hack>
       <Pierce>26.0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>5.0</MaxRange>
       <PrepareTime>500</PrepareTime>
-      <RepeatTime>3500</RepeatTime>
+      <RepeatTime>3000</RepeatTime>
       <PreferredClasses datatype="tokens">Human</PreferredClasses>
+      <Bonuses>
+          <BonusCavMelee>
+            <Classes>Cavalry</Classes>
+            <Multiplier>1.25</Multiplier>
+          </BonusCavMelee>
+      </Bonuses>
     </Melee>
   </Attack>
   <Cost>
     <Resources>
       <wood>100</wood>
     </Resources>
   </Cost>
   <Health>
     <Max>300</Max>
   </Health>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Spear</VisibleClasses>
     <GenericName>Champion Cavalry Spearman</GenericName>
   </Identity>
   <UnitMotion>
     <WalkSpeed op="mul">1.2</WalkSpeed>
     <Run>
       <Speed op="mul">1.2</Speed>
     </Run>
   </UnitMotion>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_spearman.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_spearman.xml	(revision 20899)
+++ binaries/data/mods/public/simulation/templates/template_unit_hero_cavalry_spearman.xml	(working copy)
@@ -1,28 +1,34 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_hero_cavalry">
   <Armour>
     <Hack op="add">1</Hack>
     <Pierce op="add">2</Pierce>
   </Armour>
   <Attack>
     <Melee>
       <Hack>24.0</Hack>
       <Pierce>52.0</Pierce>
       <Crush>0.0</Crush>
       <MaxRange>6.0</MaxRange>
       <PrepareTime>500</PrepareTime>
-      <RepeatTime>3500</RepeatTime>
+      <RepeatTime>3000</RepeatTime>
       <PreferredClasses datatype="tokens">Human</PreferredClasses>
+      <Bonuses>
+          <BonusCavMelee>
+            <Classes>Cavalry</Classes>
+            <Multiplier>1.25</Multiplier>
+          </BonusCavMelee>
+      </Bonuses>
     </Melee>
   </Attack>
   <Identity>
     <VisibleClasses datatype="tokens">Melee Spear</VisibleClasses>
     <GenericName>Hero Cavalry Spearman</GenericName>
   </Identity>
   <UnitMotion>
     <WalkSpeed op="mul">1.0</WalkSpeed>
     <Run>
       <Speed op="mul">1.0</Speed>
     </Run>
   </UnitMotion>
 </Entity>